Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.binder
Class ObjectCreateBuilder

    java.lang.Object
      org.apache.commons.digester3.binder.ObjectCreateBuilder

All Implemented Interfaces:
  RuleProvider<ObjectCreateRule>

    public final class ObjectCreateBuilder

extends Object

Builder chained when invoking `LinkedRuleBuilder.createObject()`.

Since:
  3.0

Method Summary
`protected ObjectCreateRule` | `createRule()` Provides an instance of `Rule`.
`R` | `get()` Provides an instance of `Rule`.
`String` | `getNamespaceURI()` Returns the namespace URI for which this Rule is relevant, if any.
`String` | `getPattern()` Returns the rule pattern associated to this builder.
`
`<T> ObjectCreateBuilder`
` | `ofType(Class<T> type)` Construct an object with the specified class.
`ObjectCreateBuilder` | `ofType(String className)` Construct an object with the specified class name.
`ObjectCreateBuilder` | `ofTypeSpecifiedByAttribute(String attributeName)` Allows specify the attribute containing an override class name if it is present.
`protected void` | `reportError(String methodChain, String message)`
`LinkedRuleBuilder` | `then()` Come back to the main `LinkedRuleBuilder`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### ofType

    public ObjectCreateBuilder ofType(String className)

  Construct an object with the specified class name.

  Parameters:
    `className` - Java class name of the object to be created
  Returns:
    this builder instance

### ofType

    public <T> ObjectCreateBuilder ofType(Class<T> type)

  Construct an object with the specified class.

  Type Parameters:
    `T` - any java type
  Parameters:
    `type` - Java class of the object to be created
  Returns:
    this builder instance

### ofTypeSpecifiedByAttribute

    public ObjectCreateBuilder ofTypeSpecifiedByAttribute(String attributeName)

  Allows specify the attribute containing an override class name if it is present.

  Parameters:
    `attributeName` - The attribute containing an override class name if it is present
  Returns:
    this builder instance

### createRule

    protected ObjectCreateRule createRule()

  Provides an instance of `Rule`. Must never return null.

  Returns:
    an instance of `Rule`.
  See Also:
    `get()`

### then

    public final LinkedRuleBuilder then()

  Come back to the main `LinkedRuleBuilder`.

  Returns:
    the main `LinkedRuleBuilder`

### getNamespaceURI

    public final String getNamespaceURI()

  Returns the namespace URI for which this Rule is relevant, if any.

  Returns:
    The namespace URI for which this Rule is relevant, if any

### get

    public final R get()

  Provides an instance of `Rule`. Must never return null.

  Specified by:
    `get` in interface `RuleProvider<R extends Rule>`
  Returns:
    an instance of `Rule`.

### reportError

    protected final void reportError(String methodChain,
                                     String message)

### getPattern

    public final String getPattern()

  Returns the rule pattern associated to this builder.

  Returns:
    The rule pattern associated to this builder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.